example_checkout_authorization_event
curl --request POST \
--url https://api.dintero.com/v1/examples/checkout_authorization \
--header 'content-type: <content-type>' \
--header 'event: <event>' \
--header 'event-delivery: <event-delivery>' \
--data '
{
"account_id": "P12345678",
"event": "checkout_authorization",
"event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
"authorization": {
"merchant_reference": "<string>",
"session_id": "<string>",
"transaction_id": "<string>",
"error": "cancelled"
}
}
'import requests
url = "https://api.dintero.com/v1/examples/checkout_authorization"
payload = {
"account_id": "P12345678",
"event": "checkout_authorization",
"event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
"authorization": {
"merchant_reference": "<string>",
"session_id": "<string>",
"transaction_id": "<string>",
"error": "cancelled"
}
}
headers = {
"event": "<event>",
"event-delivery": "<event-delivery>",
"content-type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
event: '<event>',
'event-delivery': '<event-delivery>',
'content-type': '<content-type>'
},
body: JSON.stringify({
account_id: 'P12345678',
event: 'checkout_authorization',
event_delivery: '9ebb6d41-dca5-484e-8330-9c9fa96b60ba',
authorization: {
merchant_reference: '<string>',
session_id: '<string>',
transaction_id: '<string>',
error: 'cancelled'
}
})
};
fetch('https://api.dintero.com/v1/examples/checkout_authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/examples/checkout_authorization"
payload := strings.NewReader("{\n \"account_id\": \"P12345678\",\n \"event\": \"checkout_authorization\",\n \"event_delivery\": \"9ebb6d41-dca5-484e-8330-9c9fa96b60ba\",\n \"authorization\": {\n \"merchant_reference\": \"<string>\",\n \"session_id\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"error\": \"cancelled\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("event", "<event>")
req.Header.Add("event-delivery", "<event-delivery>")
req.Header.Add("content-type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/examples/checkout_authorization")
.header("event", "<event>")
.header("event-delivery", "<event-delivery>")
.header("content-type", "<content-type>")
.body("{\n \"account_id\": \"P12345678\",\n \"event\": \"checkout_authorization\",\n \"event_delivery\": \"9ebb6d41-dca5-484e-8330-9c9fa96b60ba\",\n \"authorization\": {\n \"merchant_reference\": \"<string>\",\n \"session_id\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"error\": \"cancelled\"\n }\n}")
.asString();Example Webhook Events
checkout_authorization
Event is pushed to subscribers when a transaction was authorized or failed authorization
The deliveries match what is delivered to the session callback_url with
report_error=trueset
POST
https://api.dintero.com/v1
/
examples
/
checkout_authorization
example_checkout_authorization_event
curl --request POST \
--url https://api.dintero.com/v1/examples/checkout_authorization \
--header 'content-type: <content-type>' \
--header 'event: <event>' \
--header 'event-delivery: <event-delivery>' \
--data '
{
"account_id": "P12345678",
"event": "checkout_authorization",
"event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
"authorization": {
"merchant_reference": "<string>",
"session_id": "<string>",
"transaction_id": "<string>",
"error": "cancelled"
}
}
'import requests
url = "https://api.dintero.com/v1/examples/checkout_authorization"
payload = {
"account_id": "P12345678",
"event": "checkout_authorization",
"event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
"authorization": {
"merchant_reference": "<string>",
"session_id": "<string>",
"transaction_id": "<string>",
"error": "cancelled"
}
}
headers = {
"event": "<event>",
"event-delivery": "<event-delivery>",
"content-type": "<content-type>"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
event: '<event>',
'event-delivery': '<event-delivery>',
'content-type': '<content-type>'
},
body: JSON.stringify({
account_id: 'P12345678',
event: 'checkout_authorization',
event_delivery: '9ebb6d41-dca5-484e-8330-9c9fa96b60ba',
authorization: {
merchant_reference: '<string>',
session_id: '<string>',
transaction_id: '<string>',
error: 'cancelled'
}
})
};
fetch('https://api.dintero.com/v1/examples/checkout_authorization', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.dintero.com/v1/examples/checkout_authorization"
payload := strings.NewReader("{\n \"account_id\": \"P12345678\",\n \"event\": \"checkout_authorization\",\n \"event_delivery\": \"9ebb6d41-dca5-484e-8330-9c9fa96b60ba\",\n \"authorization\": {\n \"merchant_reference\": \"<string>\",\n \"session_id\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"error\": \"cancelled\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("event", "<event>")
req.Header.Add("event-delivery", "<event-delivery>")
req.Header.Add("content-type", "<content-type>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.dintero.com/v1/examples/checkout_authorization")
.header("event", "<event>")
.header("event-delivery", "<event-delivery>")
.header("content-type", "<content-type>")
.body("{\n \"account_id\": \"P12345678\",\n \"event\": \"checkout_authorization\",\n \"event_delivery\": \"9ebb6d41-dca5-484e-8330-9c9fa96b60ba\",\n \"authorization\": {\n \"merchant_reference\": \"<string>\",\n \"session_id\": \"<string>\",\n \"transaction_id\": \"<string>\",\n \"error\": \"cancelled\"\n }\n}")
.asString();Headers
Body
application/json
Example:
"P12345678"
Available options:
checkout_authorization Example:
"checkout_authorization"
Example:
"9ebb6d41-dca5-484e-8330-9c9fa96b60ba"
Show child attributes
Show child attributes
The transaction details, see Checkout API /api-reference/transactions/transactions_id_get for complete description of all properties that can be included in the transaction object
No transaction will be included in the event if the authorization was cancelled by the user
Show child attributes
Show child attributes
Response
event handled
Last modified on August 17, 2026
⌘I